DocletSupport (XDoclet 1.2.3 API)
Keywords: xdoclet.DocletSupport class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet
Class DocletSupport

    java.lang.Object
      xdoclet.DocletSupport

Direct Known Subclasses:
  SubTask

public abstract class DocletSupport
extends Object

Version:
  $Revision: 1.16 $
Author:
  Ara Abrahamian (ara_e@email.com)
created
  Oct 13, 2001

Field Summary
`protected static xjavadoc.XTag` | `currentClassTag`
`protected static xjavadoc.XTag` | `currentFieldTag`
`protected static xjavadoc.XTag` | `currentMethodTag` The current Tag.

Constructor Summary
`DocletSupport()`

Method Summary
`xjavadoc.XClass` | `getCurrentClass()` Peeks and return the current class from top of currentClassStack stack.
`static xjavadoc.XTag` | `getCurrentClassTag()` Gets the CurrentClassTag attribute of the DocletSupport class
`xjavadoc.XConstructor` | `getCurrentConstructor()` Returns current constructor.
`xjavadoc.XField` | `getCurrentField()` Returns current field.
`static xjavadoc.XTag` | `getCurrentFieldTag()` Gets the CurrentFieldTag attribute of the DocletSupport field
`xjavadoc.XMethod` | `getCurrentMethod()` Returns current method.
`static xjavadoc.XTag` | `getCurrentMethodTag()` Gets the CurrentMethodTag attribute of the DocletSupport class
`xjavadoc.XPackage` | `getCurrentPackage()` Returns current package.
`static xjavadoc.XTag` | `getCurrentTag()` This method is for backward compatiblity only.
`static boolean` | `isDocletGenerated(xjavadoc.XClass clazz)` Returns true if the clazz generated by xdoclet.
`xjavadoc.XClass` | `popCurrentClass()` Popes current class from top currentClassStack stack.
`xjavadoc.XClass` | `pushCurrentClass(xjavadoc.XClass clazz)` Pushes class clazz to top of currentClassStack stack, making it effectively the current class.
`void` | `setCurrentClass(xjavadoc.XClass clazz)` Sets current class to clazz by clearing currentClassStack stack and pushing clazz into top of it.
`static void` | `setCurrentClassTag(xjavadoc.XTag currentTag)` Sets the CurrentClassTag attribute of the DocletSupport class
`void` | `setCurrentConstructor(xjavadoc.XConstructor constructor)` Sets the CurrentConstructor attribute of the DocletSupport object
`void` | `setCurrentField(xjavadoc.XField field)` Sets the CurrentField attribute of the DocletSupport object
`static void` | `setCurrentFieldTag(xjavadoc.XTag currentTag)` Sets the CurrentFieldTag attribute of the DocletSupport field
`void` | `setCurrentMethod(xjavadoc.XMethod method)` Sets the CurrentMethod attribute of the DocletSupport object
`static void` | `setCurrentMethodTag(xjavadoc.XTag currentTag)` Sets the CurrentMethodTag attribute of the DocletSupport class
`void` | `setCurrentPackage(xjavadoc.XPackage pakkage)` Returns current package.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### currentMethodTag

    protected static xjavadoc.XTag currentMethodTag

  The current Tag. Various template tag implementations set this value, including looping tags such as forAllClassTags. There's no distinction between class/method/field/constructor/whatever tags, and currentTag can point to any one them.

### currentClassTag

    protected static xjavadoc.XTag currentClassTag

### currentFieldTag

    protected static xjavadoc.XTag currentFieldTag

Constructor Detail

### DocletSupport

    public DocletSupport()

Method Detail

### getCurrentMethodTag

    public static xjavadoc.XTag getCurrentMethodTag()

  Gets the CurrentMethodTag attribute of the DocletSupport class

  Returns:
    The CurrentMethodTag value

### getCurrentClassTag

    public static xjavadoc.XTag getCurrentClassTag()

  Gets the CurrentClassTag attribute of the DocletSupport class

  Returns:
    The CurrentClassTag value

### getCurrentFieldTag

    public static xjavadoc.XTag getCurrentFieldTag()

  Gets the CurrentFieldTag attribute of the DocletSupport field

  Returns:
    The CurrentFieldTag value

### getCurrentTag

    public static xjavadoc.XTag getCurrentTag()

  This method is for backward compatiblity only. Method or Class Tag getter should be used instead.

  Returns:
    The CurrentTag value

### isDocletGenerated

    public static boolean isDocletGenerated(xjavadoc.XClass clazz)

  Returns true if the clazz generated by xdoclet. An xdoclet generated class has a class-level xdoclet-generated tag.

  Parameters:
    `clazz` - Description of Parameter
  Returns:
    The DocletGenerated value

### setCurrentMethodTag

    public static void setCurrentMethodTag(xjavadoc.XTag currentTag)

  Sets the CurrentMethodTag attribute of the DocletSupport class

  Parameters:
    `currentTag` - The new CurrentMethodTag value
  ant.element

### setCurrentClassTag

    public static void setCurrentClassTag(xjavadoc.XTag currentTag)

  Sets the CurrentClassTag attribute of the DocletSupport class

  Parameters:
    `currentTag` - The new CurrentClassTag value
  ant.element

### setCurrentFieldTag

    public static void setCurrentFieldTag(xjavadoc.XTag currentTag)

  Sets the CurrentFieldTag attribute of the DocletSupport field

  Parameters:
    `currentTag` - The new CurrentFieldTag value
  ant.element

### getCurrentClass

    public xjavadoc.XClass getCurrentClass()

  Peeks and return the current class from top of currentClassStack stack.

  Returns:
    The CurrentClass value
  See Also:
    `setCurrentClass(xjavadoc.XClass)`

### getCurrentPackage

    public xjavadoc.XPackage getCurrentPackage()

  Returns current package.

  Returns:
    The CurrentPackage value
  See Also:
    `setCurrentPackage(xjavadoc.XPackage)`

### getCurrentMethod

    public xjavadoc.XMethod getCurrentMethod()

  Returns current method.

  Returns:
    The CurrentMethod value
  See Also:
    `setCurrentMethod(xjavadoc.XMethod)`

### getCurrentConstructor

    public xjavadoc.XConstructor getCurrentConstructor()

  Returns current constructor.

  Returns:
    The CurrentConstructor value
  See Also:
    `setCurrentConstructor(xjavadoc.XConstructor)`

### getCurrentField

    public xjavadoc.XField getCurrentField()

  Returns current field.

  Returns:
    The CurrentField value
  See Also:
    `setCurrentField(xjavadoc.XField)`

### setCurrentPackage

    public void setCurrentPackage(xjavadoc.XPackage pakkage)

  Returns current package.

  Parameters:
    `pakkage` - The new CurrentPackage value
  See Also:
    `setCurrentPackage(xjavadoc.XPackage)`
  ant.element

### setCurrentMethod

    public void setCurrentMethod(xjavadoc.XMethod method)

  Sets the CurrentMethod attribute of the DocletSupport object

  Parameters:
    `method` - The new CurrentMethod value
  ant.element

### setCurrentConstructor

    public void setCurrentConstructor(xjavadoc.XConstructor constructor)

  Sets the CurrentConstructor attribute of the DocletSupport object

  Parameters:
    `constructor` - The new CurrentConstructor value
  ant.element

### setCurrentField

    public void setCurrentField(xjavadoc.XField field)

  Sets the CurrentField attribute of the DocletSupport object

  Parameters:
    `field` - The new CurrentField value
  ant.element

### setCurrentClass

    public void setCurrentClass(xjavadoc.XClass clazz)

  Sets current class to clazz by clearing currentClassStack stack and pushing clazz into top of it.

  Parameters:
    `clazz` - The new CurrentClass value
  See Also:
    `getCurrentClass()`
  ant.element

### pushCurrentClass

    public xjavadoc.XClass pushCurrentClass(xjavadoc.XClass clazz)

  Pushes class clazz to top of currentClassStack stack, making it effectively the current class.

  Parameters:
    `clazz` - Description of Parameter
  Returns:
    Description of the Returned Value
  See Also:
    `getCurrentClass()`, `setCurrentClass(xjavadoc.XClass)`, `popCurrentClass()`

### popCurrentClass

    public xjavadoc.XClass popCurrentClass()

  Popes current class from top currentClassStack stack. The poped class is no longer the current class.

  Returns:
    Description of the Returned Value
  See Also:
    `getCurrentClass()`, `setCurrentClass(xjavadoc.XClass)`, `pushCurrentClass(xjavadoc.XClass)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD